import { ParameterTier } from '@aws-sdk/client-ssm';
import type { CloudFormationCustomResourceEvent } from 'aws-lambda';
export interface SecureStringParameterResourceProperties {
    readonly AllowedPattern?: string;
    readonly Description?: string;
    readonly EncryptionKey?: string;
    readonly Name: string;
    readonly Tags?: Record<string, string>;
    readonly Tier?: ParameterTier;
    readonly Value: string;
    readonly ValueType: string;
}
export type SecureStringCustomResourceEvent = Omit<CloudFormationCustomResourceEvent, 'ResourceProperties'> & {
    ResourceProperties: SecureStringParameterResourceProperties;
};
export interface CustomResourceResponse {
    PhysicalResourceId: string;
}
export declare function handler(event: SecureStringCustomResourceEvent): Promise<CustomResourceResponse>;
